CompleteRSS 1.0 and save function

dennys

New Member
#1
I'm not sure is it due to upgrading to Wordpress 2.2. My current problem is when I "save" a post in Wordpress, I always get the warning message
Code:
Warning: Cannot modify header information - headers already sent by (output started at /home/www/blog/wp-content/plugins/CompleteRSS_1.0.php:40) in /home/www/wp-includes/pluggable.php on line 329
If I disable CompleteRSS or remark the linke 40
Code:
(echo $content;)
then the message will disappear. Do you have any idea about this problem? Only "save" button, "Save and Continue Edigint" is ok.
 

mqudsi

Mostly Harmless
Staff member
#2
Hi dennys, nice to see you again,

Only reason you'd be getting that error is if there is a blank line at the bottom of CompleteRSS.php, after the ?>

Try removing the ?> completely, that should take care of it.
 

dennys

New Member
#3
Hi,
I tried, but it doesn't work. I download the file from here again and I also use ultraedit's HEX mode to make sure ">" is the last character.
Is there any other possibilities?

btw, just curious, why "save" function triggers CompleteRSS? It should only be triggered by wp-rss2.php or wp-atom.php.
 

mqudsi

Mostly Harmless
Staff member
#4
It is :S

That's why I don't understand. CompleteRSS is only triggered if is_feed() comes back as true.
I'm running it here on WP22, and I'm not seeing this..
 

mqudsi

Mostly Harmless
Staff member
#6
Yes, most certainly is... Please do let me know how it goes.